Loading...
Searching...
No Matches
ojph_threads.h File Reference
`#include <atomic>`
`#include <vector>`
`#include <thread>`
`#include <mutex>`
`#include <deque>`
`#include <condition_variable>`

Go to the source code of this file.

## Classes

class | ojph::thds::worker_thread_base
| A base object for queuing tasks in the thread_pool. More...
class | ojph::thds::thread_pool
| Implements a pool of threads, and can queue tasks. More...

## Namespaces

namespace | ojph
namespace | ojph::thds